XmTextGetBaseline(library call)

NAME
XmTextGetBaseline — A Text function that accesses the y position of the baseline

SYNOPSIS

#include <Xm/Text.h>
int XmTextGetBaseline(
Widget widget);

DESCRIPTION

XmTextGetBaseline accesses the y position of the baseline in the Text widget, relative to the y position of the top of the widget.

In vertical mode (when the XmNlayoutDirection resource is XmTOP_TO_BOTTOM) this function returns 0 and the program should use XmTextGetCenterline

widget
    Specifies the Text widget ID

For a complete definition of Text and its associated resources, see XmText(3).

RETURN

Returns an integer value that indicates the y position of the baseline in the Text widget. The calculation takes into account the margin height, shadow thickness, highlight thickness, and font ascent of the first font (set) in the fontlist used for drawing text. In this calculation, the y position of the top of the widget is 0 (zero).

RELATED

XmText(3), XmTextGetCenterline(3).